Bug Hunting Session
Bug 102006 - START CENTER: What to call left button pane
Summary: START CENTER: What to call left button pane
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords: accessibility
Depends on:
Blocks: Start-Center a11y
  Show dependency treegraph
 
Reported: 2016-09-09 02:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-11-16 10:59 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-09 02:15:19 UTC
So its important that we name the left button pane, as the name should be read out by screen readers. I was thinking something like Application Pane. With a blank profile, the start center says '... pick an app from the left side ...' in the thumbnail view list.
Comment 1 V Stuart Foote 2016-09-09 03:34:31 UTC
No this is a sidebar, and we always called it a sidebar while mocking up and developing.
Comment 2 Yousuf Philips (jay) (retired) 2016-09-09 04:42:32 UTC
So Application Sidebar?
Comment 3 V Stuart Foote 2016-09-09 12:09:54 UTC
Hmm, see the issue in having another GUI component named "Sidebar". 

Since we probably need something "descriptive" it is a stack of tool buttons--as opposed to a bar of buttons, i.e. "toolbar"-- so:

Toolstack

or

Buttonstack


In descriptions what reads better, the StartCenter's Toolstack, the StartCenter's Buttonstack, or the StartCenter's Application Sidebar?

=-=-=

Guess we have a similar question going on about naming the "NotebookBar" (aka "MuffinBar").
Comment 4 Adolfo Jayme 2016-09-09 15:31:47 UTC
It is just a pane. Don’t overcomplicate it.
Comment 5 steve -_- 2016-09-09 17:24:10 UTC
StartCenter's Toolstack
StartCenter's Buttonstack
StartCenter's Application Sidebar


This is concerning only screenreaders and will probably never show in the UI as name. Users will not know what what Toolstack or Buttonstack is. Since Application Sidebar is the most descriptive and understandable term I +1 that.

also confirming bug → new.

my 2 cent
Comment 6 Yousuf Philips (jay) (retired) 2016-09-09 21:17:13 UTC
Going with 'Application Pane' as it is the most useful for users. https://gerrit.libreoffice.org/28791
Comment 7 Commit Notification 2016-09-13 14:09:18 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4addd72e2db8e42a285d95d01b6bc80a7d0c675a

tdf#102006 tweak start center and make it more a11y accessible

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.